Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.amp.agf.chart
Interface IDataProvider

All Superinterfaces:
  org.eclipse.jface.viewers.IBaseLabelProvider, org.eclipse.jface.viewers.ILabelProvider

All Known Implementing Classes:
  AscapeDataProvider

    public interface IDataProvider

extends org.eclipse.jface.viewers.ILabelProvider

The Interface IDataProvider.

Method Summary
`void` | `addListener(java.lang.Object dataSource, IDataSelectionListener listener)` Adds the listener.
`java.util.List<java.lang.String>` | `getCategoryLabels(java.lang.Object dataSource)` Gets the category labels.
`java.lang.Object` | `getDataSource(java.lang.Object model)` Gets the data source.
`java.lang.Object` | `getValues(java.lang.Object valueSet)` Gets the values.
`java.util.List` | `getValueSets(java.lang.Object valueSelection)` Gets the value sets.
`void` | `removeListener(java.lang.Object dataSource, IDataSelectionListener listener)` Removes the listener.

Methods inherited from interface org.eclipse.jface.viewers.ILabelProvider
`getImage, getText`

Methods inherited from interface org.eclipse.jface.viewers.IBaseLabelProvider
`addListener, dispose, isLabelProperty, removeListener`

Method Detail

### getDataSource

    java.lang.Object getDataSource(java.lang.Object model)

  Gets the data source.

  Parameters:
    `model` - the model
  Returns:
    the data source

### addListener

    void addListener(java.lang.Object dataSource,
                     IDataSelectionListener listener)

  Adds the listener.

  Parameters:
    `dataSource` - the data source
    `listener` - the listener

### removeListener

    void removeListener(java.lang.Object dataSource,
                        IDataSelectionListener listener)

  Removes the listener.

  Parameters:
    `dataSource` - the data source
    `listener` - the listener

### getValues

    java.lang.Object getValues(java.lang.Object valueSet)

  Gets the values.

  Parameters:
    `valueSet` - the value set
  Returns:
    the values

### getValueSets

    java.util.List getValueSets(java.lang.Object valueSelection)

  Gets the value sets.

  Parameters:
    `valueSelection` - the value selection
  Returns:
    the value sets

### getCategoryLabels

    java.util.List<java.lang.String> getCategoryLabels(java.lang.Object dataSource)

  Gets the category labels.

  Parameters:
    `dataSource` - the data source
  Returns:
    the category labels

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD